FFMPEG-PROGRESS-YIELD(1)

NAME
ffmpeg-progress-yield - Run FFmpeg commands with progress reporting

SYNOPSIS
ffmpeg-progress-yield [OPTIONS] FFMPEG_COMMAND...

DESCRIPTION
ffmpeg-progress-yield is a utility that executes a specified FFmpeg command and provides real-time progress updates. By parsing the timing information from FFmpeg's output, it updates the current percentage of the task. By default, it displays the status as progress bar.

Upon completion of the FFmpeg command, any log messages generated during the execution will be written to "STDERR".

OPTIONS

-h, --help
    Print a help message and exit.

-d "DURATION", --duration "DURATION"
    Override the duration of the video in seconds.

-p, --progress-only
    Only report the progress of the FFmpeg command and do not print the FFmpeg log at exit.

-x, --exclude-progress
    Exclude the parsed progress lines from the FFmpeg log.

-l "LOGFILE", --log-file "LOGFILE"
    Send the FFmpeg log at exit to the specified LOGFILE. By default, it is send to "STDERR".

ENVIRONMENT

FFMPEG_PROGRESS_NO_TQDM
    If "FFMPEG_PROGRESS_NO_TQDM" is set, the progress bar is disabled, and a simple textual representation of the progress is displayed instead.

EXAMPLES
  ffmpeg-progress-yield ffmpeg -i input.mp4 -c:v libx264 output.mp4

AUTHOR
Alexander Sulfrian, 2025